//
//  EnumViewController.swift
//  Base
//
//

import UIKit

class EnumViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        var cat : Cats = Cats.Bengal
        
        // 列挙型オブジェクトCat内のBengalの値を取得
        print(cat.rawValue)
        print(cat.japaneseCaption())
        
        // 値を変更する場合、列挙体の名前は省略可能
        cat = .Siamese
        
        // 値3で列挙型オブジェクトCatにアクセス
        if let val : Cats = Cats(rawValue: 3) {
            // Cat内に値3に相当する定数が存在すれば
            // 日本語名を返すメソッドを実行
            print(val.japaneseCaption())
        }
        
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}

enum Cats : Int{
    case Singapura=1
    case Birmam
    case Siamese
    case Bengal
    
    func japaneseCaption() -> String {
        switch self {
            case .Singapura:
                return "シンガプーラ"
            case .Birmam:
                return "バーマン"
            case .Siamese:
                return "シャム"
            case .Bengal:
                return "ベンガル"
        }
    }
}

