//
//  ExceptionViewController.swift
//  Base
//
//

import UIKit

enum DivisionError: Error{
    case Error1
    case Error2
}

class ExceptionViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        let a : Float = try! divisionTest(num1: 4, num2: 2)
        print(a)
        
        // エラーが起きた場合にクラッシュする
        //let b : Float = try! divisionTest(num1: 4, num2: 0)
        //print(b)
        
        do{
            let b : Float = try divisionTest(num1:4, num2:0)
            print(b)
        }catch DivisionError.Error1{
            print("引数が0のエラーが起きました")
        }catch {
            print("エラーが起きました")
        }
        
        do{
            let path : String = Bundle.main.path(forResource: "sample", ofType: "txt")!
            let data = try NSString(contentsOfFile: path, encoding:String.Encoding.utf8.rawValue)
            print(data)
            
            defer {
                print("処理が終わりました")
            }
        }catch let error as NSError {
            print(error.localizedDescription)
        }
    }
    
    
    // 例外を投げる割り算のメソッド
    func divisionTest(num1 x: Int,num2 y: Int) throws -> Float{
        if(y == 0){
            throw DivisionError.Error2
        }else{
            return Float(x/y)
        }
    }

    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
