//
//  AudioViewController.swift
//  Data
//
//

import UIKit
import AVFoundation

class AudioViewController: UIViewController {

    var audioPlayer:AVAudioPlayer!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // ファイルパス
        let url: URL = Bundle.main.url(forResource: "sample", withExtension: "mp3")!
        // URLを指定して初期化
        self.audioPlayer = try? AVAudioPlayer(contentsOf: url)
        
        // 5回再生
        self.audioPlayer.numberOfLoops = 5
        // 音量を半分に
        self.audioPlayer.volume = 0.5
        
    }

    // 再生ボタン
    @IBAction func play(sender: AnyObject) {
        self.audioPlayer.play()
    }
    
    // 停止ボタン
    @IBAction func stop(sender: AnyObject) {
        self.audioPlayer.stop()
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
