//
//  FilterViewController.swift
//  Data
//
//

import UIKit

class FilterViewController: UIViewController {

    @IBOutlet var imageView: UIImageView!
    
    @IBOutlet var button: UIButton!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // UIImageオブジェクトを生成
        let image: UIImage = UIImage(named: "sample")!
        imageView.image = image
    }

    // フィルタをかける
    @IBAction func filter(_ sender: Any) {
        // UIImageオブジェクトを生成
        let image: UIImage = UIImage(named: "sample")!
        
        // 編集用データを生成
        let ciImage: CIImage = CIImage(cgImage: image.cgImage!)
        
        //let filter = CIFilter(name: "CIPhotoEffectTransfer")
        
        // フィルタをかける
        // モノクロームのフィルタを生成
        let filter: CIFilter = CIFilter(name: "CIColorMonochrome")!
        
        // フィルタをかける画像を指定
        filter.setValue(ciImage, forKey: kCIInputImageKey)
        
        // 範囲を指定
        filter.setValue(1.0 , forKey:"inputIntensity")
        
        // 色は現在の割合で
        filter.setValue(CIColor(red: 0.7, green: 0.7, blue: 0.7), forKey: "inputColor")
        
        // フィルタ処理のオブジェクト
        let filteredImage: CIImage = filter.outputImage!
        // 矩形情報をセットしてレンダリング
        // CIContextオブジェクトを生成
        // var ciContext: CIContext = CIContext(options:nil)
        
        // CPUのみを利用するCIContextオブジェクトを生成
        // ソフトウェアレンダラを利用
        let ciContext: CIContext = CIContext(options:[kCIContextUseSoftwareRenderer: true])
        
        // レンダリングを行い、CGImageRefオブジェクトを生成
        let imageRef = ciContext.createCGImage(filteredImage, from: filteredImage.extent)
        
        // CGImageRefオブジェクトから画像データを生成して表示
        let outputImage = UIImage(cgImage: imageRef!, scale: 1.0, orientation: UIImageOrientation.upMirrored)
        imageView.image = outputImage
    }
    
    
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
