//
//  TextViewController.swift
//  Data
//
//

import UIKit

class TextViewController: UIViewController, UITextFieldDelegate {

    @IBOutlet var _textField: UITextField!
    @IBOutlet var _label: UILabel!
    @IBOutlet var _button: UIButton!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        _textField.returnKeyType = UIReturnKeyType.done
        _textField.delegate = self
    }

    // 保存ボタン押下時の処理
    @IBAction func save(_ sender: Any) {
        if _textField.text == nil { return }
        
        // ドキュメントディレクトリにファイルを指定
        let filename: String = "test.txt"
        
        // ドキュメントディレクトリまでのパスを取得
        let documentsPath: String = NSSearchPathForDirectoriesInDomains(FileManager.SearchPathDirectory.documentDirectory, FileManager.SearchPathDomainMask.userDomainMask, true)[0]
        
        // コンソールに出力
        print(documentsPath)
        
        // NSURLオブジェクトを生成
        let url : URL = URL(fileURLWithPath: documentsPath)
        // パスとファイル名を結合
        let filePathURL: URL = url.appendingPathComponent(filename) 
        print(filePathURL)
        
        // 入力欄の内容をファイルへ書き込む
        do {
            try _textField.text!.write(to: filePathURL, atomically: true, encoding: String.Encoding.utf8)
        } catch {
            print("エラーが発生しました")
        }
        _textField.resignFirstResponder()
    }
    
    // リターンキー押下時にキーボードを消す
    func textFieldShouldReturn(_ textField: UITextField) -> Bool{
        textField.resignFirstResponder()
        return true
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
