//
//  UserDefaultsViewController.swift
//  Data
//
//

import UIKit

class UserDefaultsViewController: UIViewController {
    
    @IBOutlet var _switch: UISwitch!
    
    // NSUserDefaultsオブジェクト
    let ud : UserDefaults = UserDefaults.standard
    // データ保存に利用するキー
    let kswitch : String = "swicthValue"
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // Do any additional setup after loading the view.
        
        // 保存した値を参照して、スイッチのON/OFFを指定
        let bool:Bool = ud.bool(forKey: kswitch)
        _switch.setOn(bool, animated:true)
    }
    
    // スイッチ切り替え時の処理
    @IBAction func change(_ sender: Any) {
        // スイッチのON/OFFを保存
        ud.set(_switch.isOn, forKey:kswitch)
        // データを更新
        ud.synchronize()
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
