//
//  AccelerometerPushViewController.swift
//  Device
//
//

import UIKit
import CoreMotion

class AccelerometerPushViewController: UIViewController {
    
    @IBOutlet weak var textView: UITextView!
    
    var motionManager : CMMotionManager?
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        // CMMotionManagerを初期化
        motionManager = CMMotionManager()
        
        // 加速度センサーの利用可否
        if (motionManager!.isAccelerometerAvailable) {
            // インターバルを01.秒で指定
            motionManager!.accelerometerUpdateInterval = 1.0/10.0
            // 一定間隔でセンサーの値を取得
            motionManager!.startAccelerometerUpdates(to: OperationQueue.current!, withHandler:
                // 取得した値、発生したエラーを画面に表示
                {(data:CMAccelerometerData?, error:Error?) -> Void in
                        
                    var text :String
                    if(error != nil){
                        text = "エラーが発生しました: \(error!)"
                    }else{
                        text = "加速度センサーの値\n-----------\nx: \(data!.acceleration.x)\ny: \(data!.acceleration.y)\nz: \(data!.acceleration.z)"
                    }
                    self.textView.text = text
                    }
            )
        }else{
            self.textView.text = "加速度センサーは利用できません"
        }
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
}
