//
//  TouchViewController.swift
//  Device
//
//

import UIKit
import LocalAuthentication

class AuthViewController: UIViewController {
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
    }
    
    
    @IBAction func tappedButton(_ sender: Any) {
    
        // 認証コンテキスト
        let context = LAContext()
        
        // エラーオブジェクト
        var error: NSError?
        
        // 生体認証が利用可能な場合
        if context.canEvaluatePolicy(LAPolicy.deviceOwnerAuthenticationWithBiometrics, error: &error) {
            var message = ""
            switch context.biometryType {  // 認証の形式をswitch文で分ける
            case LABiometryType.faceID:
                message = "Face IDで認証します"
            case LABiometryType.touchID:
                message = "Touch IDを認証で認証します"
            case LABiometryType.none:
                message = "この端末では顔認証・指紋認証は利用できません" // canEvaluatePolicy(_:)で弾かれここは通らない
            }
            // 認証実行
            context.evaluatePolicy(LAPolicy.deviceOwnerAuthenticationWithBiometrics, localizedReason: message,
                // 認証後に実行される処理
                reply: { (success: Bool, evalPolicyError: Error?) -> Void in
                
                if success { print("認証成功") }  // 認証成功
                else{ print("認証失敗") }  // 認証失敗
            })
        }
        // Touch IDが利用不可能な場合
        else{
            print("この端末では顔認証・指紋認証は利用できません")
        }
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
}
