//
//  GeocoderViewController.swift
//  Device
//
//

import UIKit
import CoreLocation

class GeocoderViewController: UIViewController,UITextFieldDelegate {

    
    @IBOutlet var textField: UITextField!
    @IBOutlet var button: UIButton!
    @IBOutlet var textView: UITextView!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        textField.returnKeyType = UIReturnKeyType.done
        textField.delegate = self
        textView.isEditable = false
        
    }
    
    // ボタン押下時の処理
    @IBAction func search(_ sender: Any) {
        
        if textField.text==nil { return }
        
        // 住所から緯度経度を取得
        let geocoder = CLGeocoder()
        geocoder.geocodeAddressString(textField.text!) { (placemarks: [CLPlacemark]?, error: Error?) -> Void in
            // 位置情報をCLPlacemarkオブジェクトとして取得
            if let placemark = placemarks?[0] {
                // 緯度経度を取得
                self.textView.text = "緯度：\( placemark.location!.coordinate.latitude) \n経度：\(placemark.location!.coordinate.longitude)"
            }
        }
    }
    
    // リターンキー押下時にキーボードを消す
    func textFieldShouldReturn(_ textField: UITextField) -> Bool{
        textField.resignFirstResponder()
        return true
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
