//
//  GyroPullViewController.swift
//  Device
//
//

import UIKit
import CoreMotion

class GyroPullViewController: UIViewController {

    @IBOutlet var textView: UITextView!
    
    var motionManager : CMMotionManager?
    var timer : Timer?
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // CMMotionManagerを初期化
        motionManager = CMMotionManager()
        
        // ジャイロセンサーの利用可否
        if (motionManager!.isGyroAvailable) {
            
            motionManager!.startGyroUpdates()
            timer = Timer.scheduledTimer(timeInterval: 1.0/10, target: self, selector:  #selector(GyroPullViewController.updateValues(_:)), userInfo: nil, repeats: true)
        }else{
            self.textView.text = "ジャイロセンサーは利用できません"
        }
    }

    // 取得した値を画面に表示
    @objc func updateValues(_ sender:Any) {
        if let data : CMGyroData = motionManager!.gyroData {
            textView.text = "ジャイロセンサーの値\n-----------\nx: \(data.rotationRate.x)\ny: \(data.rotationRate.y)\nz: \(data.rotationRate.z)"
        }
    }
    
    // 停止
    @IBAction func stop(_ sender: Any) {
        motionManager!.stopGyroUpdates()
        // タイマーを停止
        timer!.invalidate()
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
