//
//  NotificationViewController.swift
//  Device
//
//

import UIKit

class NotificationViewController: UIViewController,UITextFieldDelegate {
    
    @IBOutlet var textField: UITextField!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        textField.returnKeyType = UIReturnKeyType.done
        textField.delegate = self
        
        //キーボード表示時に呼び出す処理を登録
        NotificationCenter.default.addObserver(self,
                                               selector: #selector(NotificationViewController.keyboardShow(_:)),
            name: NSNotification.Name.UIKeyboardWillShow,
            object: nil)
        
        //キーボード非表示時に呼び出す処理を登録
        NotificationCenter.default.addObserver(self,
                                               selector: #selector(NotificationViewController.keyboardHide(_:)),
            name: NSNotification.Name.UIKeyboardWillHide,
            object: nil)
    }

    @objc func keyboardShow(_ notification:NSNotification)
    {
        print("キーボードを表示しました")
    }
    
    @objc func keyboardHide(_ notification:NSNotification)
    {
        print("キーボードを閉じました")
    }
    
    override func viewDidDisappear(_ animated: Bool){
        //キーボード表示／非表示の処理を削除
        NotificationCenter.default.removeObserver(self, name:NSNotification.Name.UIKeyboardWillShow, object:nil)
    }
    
    func textFieldShouldReturn(_ textField: UITextField) -> Bool{
        textField.resignFirstResponder()
        return true
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
