//
//  OrientationViewController.swift
//  Device
//
//

import UIKit

class OrientationViewController: UIViewController {

    @IBOutlet var label: UILabel!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        /*
        UIDevice.current.beginGeneratingDeviceOrientationNotifications()
        NotificationCenter.default.addObserver(self,
                                               selector: #selector(OrientationViewController.change(_:)),
            name: NSNotification.Name.UIDeviceOrientationDidChange,
            object: nil)
        
        NotificationCenter.default.addObserver(self, selector: #selector(OrientationViewController.onOrientationDidChange(notification:)), name: NSNotification.Name.UIDeviceOrientationDidChange, object: nil)
*/
    }

    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        UIDevice.current.beginGeneratingDeviceOrientationNotifications()
        NotificationCenter.default.addObserver(self,
                                               selector: #selector(OrientationViewController.change(_:)),
                                               name: NSNotification.Name.UIDeviceOrientationDidChange,
                                               object: nil)
    }

    
    @objc
    func onOrientationDidChange(notification: NSNotification) {
        // ここに回転時の処理
        // 端末の向きを取得
        let orientation : UIDeviceOrientation = UIDevice.current.orientation
        
        print(orientation)
        
    }
    
    @objc func change(_ notification: NSNotification)
    {
        // 端末の向きを取得
        let orientation : UIDeviceOrientation = UIDevice.current.orientation
        
        print(orientation)
        var str : String = ""
        switch (orientation) {
        case UIDeviceOrientation.unknown:
            str = "不明"
        case UIDeviceOrientation.portrait:
            str = "縦"
        case UIDeviceOrientation.portraitUpsideDown:
            str = "上下が逆"
        case UIDeviceOrientation.landscapeLeft:
            str = "左側が上"
        case UIDeviceOrientation.landscapeRight:
            str = "右側が上"
        case UIDeviceOrientation.faceUp:
            str = "画面が上"
        case UIDeviceOrientation.faceDown:
            str = "画面が下"
        default:
            break
        }
        label.text = str
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
