//
//  ReverseGeocoderViewController.swift
//  Device
//
//

import UIKit
import CoreLocation

class ReverseGeocoderViewController: UIViewController , CLLocationManagerDelegate{
    
    @IBOutlet var textView: UITextView!
    
    var locationManager:CLLocationManager?
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        locationManager = CLLocationManager()
        locationManager?.requestAlwaysAuthorization()
        locationManager?.delegate = self
    }

    func locationManager(_ manager: CLLocationManager,
        didUpdateLocations locations: [CLLocation]) {
            
            // 現在の位置情報を取得
            let location = locations[0]
            
            // CLGeocoderを初期化
            let geocoder = CLGeocoder()
            // 逆ジオコーディングを実行
             geocoder.reverseGeocodeLocation(location, completionHandler: { (placemarks: [CLPlacemark]?, error: Error?) -> Void in

                    // 位置情報をCLPlacemarkオブジェクトとして取得
                    if let placemark = placemarks!.last {
                        // 住所を画面に表示
                        self.textView.text = "\(placemark.postalCode ?? "")\n\(placemark.administrativeArea ?? "")\n\(placemark.locality ?? "")\n\(placemark.thoroughfare ?? "")\n\(placemark.subThoroughfare ?? "")\n"
                    }
            })
    }
    
    @IBAction func getAddress(_ sender: Any) {
        if CLLocationManager.locationServicesEnabled() {
            locationManager?.startUpdatingLocation()
        }
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
