//
//  ActionRemoveViewController.swift
//  EV
//
//

import UIKit

class ActionRemoveViewController: UIViewController {

    var button1 : UIButton = UIButton()
    var button2 : UIButton = UIButton()
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // 位置とサイズを指定してボタンを初期化
        button1 = UIButton(frame:CGRect(x:100, y:200, width:100, height:30))
        // 通常時のタイトルと色を指定
        button1.setTitle(" Action ", for: .normal)
        button1.setTitleColor(UIColor.gray, for: .normal)
        // ボタンを角丸に
        button1.layer.cornerRadius = 10
        // ボーダーの線の太さを指定
        button1.layer.borderWidth = 1
        // 画面に配置
        self.view.addSubview(button1)
        // ボタンを押した際に onPush メソッドを実行
        button1.addTarget(self, action: #selector(ActionRemoveViewController.buttonAction(_:)), for:.touchUpInside)
        
        // 位置とサイズを指定してボタンを初期化
        button2 = UIButton(frame:CGRect(x:100, y:300, width:100, height:30))
        // 通常時のタイトルと色を指定
        button2.setTitle(" Remove ", for: .normal)
        button2.setTitleColor(UIColor.gray, for: .normal)
        button2.setTitleColor(UIColor.blue, for: .highlighted)
        // ボタンを角丸に
        button2.layer.cornerRadius = 10
        // ボーダーの線の太さを指定
        button2.layer.borderWidth = 1
        // 画面に配置
        self.view.addSubview(button2)
        // ボタンを押した際に onPush メソッドを実行
        button2.addTarget(self, action: #selector(ActionRemoveViewController.removeAction(_:)), for:.touchUpInside)
    }
    
    // ボタンを押した際の処理
    @objc func buttonAction(_ sender:UIButton)
    {
        // アラートを生成
        let alert = UIAlertController(title: "ボタンが押されました。", message: "", preferredStyle: .alert)
        // OKボタンを追加
        let okAction = UIAlertAction(title: "OK", style: .default, handler: nil)
        alert.addAction(okAction)
        // 表示
        present(alert, animated: true, completion: nil)
    }
    
    // ボタンを押した際の処理
    @objc func removeAction(_ sender:UIButton)
    {
        // button1のアクションを削除
        button1.removeTarget(self, action: #selector(ActionRemoveViewController.buttonAction(_:)), for: .touchUpInside)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
