//
//  EdgePanViewController.swift
//  EV
//
//

import UIKit

class EdgePanViewController: UIViewController {
    
    var frontView : UIView?
    var centerX : CGFloat?
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        self.view.backgroundColor = UIColor.white
        // 右から引き出すビューを生成
        frontView = UIView(frame: CGRect(x:self.view.bounds.size.width, y:0 , width:self.view.bounds.size.width, height:self.view.bounds.size.height))
        frontView?.backgroundColor = UIColor.black
        self.view.addSubview(frontView!)
        
        centerX = frontView!.center.x
        
        // 右の縁から左へのジェスチャーを定義
        let screenEdgeRecognizer = UIScreenEdgePanGestureRecognizer(target: self, action: #selector(EdgePanViewController.edgePanGestureHandler(_:)))
        screenEdgeRecognizer.edges = UIRectEdge.right
        // ジェスチャーを登録
        self.view.addGestureRecognizer(screenEdgeRecognizer)
    }

    @objc func edgePanGestureHandler(_ sender: UIScreenEdgePanGestureRecognizer) {
        // ジェスチャー中
        if(sender.state == UIGestureRecognizerState.began ||
            sender.state == UIGestureRecognizerState.changed){
            // X軸方向に動かした分、frontViewを移動させる
            let translation : CGPoint = sender.location(in: sender.view)
            frontView!.center = CGPoint(x:self.view.center.x + translation.x, y:frontView!.center.y)
        }
        // ジェスチャー終了時
        else{
            // 0.1秒でfrontViewを元の位置に戻す
            UIView.animate(withDuration: 0.1, animations:
                {() -> Void in
                    self.frontView!.center = CGPoint(x:self.centerX!, y:self.frontView!.center.y)
                }
            )
        }
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
