//
//  GestureViewController.swift
//  EV
//
//

import UIKit

class GestureViewController: UIViewController {

    var gestureView : UIView = UIView()
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        gestureView.frame = CGRect(x:0,y:0,width:50,height:50)
        gestureView.center = CGPoint(x:self.view.center.x, y:self.view.center.y)
        gestureView.backgroundColor = UIColor.gray
        self.view.addSubview(gestureView)
        
        // ドラッグ時の処理を指定
        let gesture : UIPanGestureRecognizer = UIPanGestureRecognizer(target: self, action: #selector(GestureViewController.gestureHandler(_:)))
        gestureView.addGestureRecognizer(gesture)
    }

    @objc func gestureHandler(_ sender:UIPanGestureRecognizer){
        
        switch(sender.state){
            // ジェスチャー開始時は赤
        case UIGestureRecognizerState.began:
                gestureView.backgroundColor = UIColor.red
            // ジェスチャー中はオレンジ
        case UIGestureRecognizerState.changed:
                gestureView.backgroundColor = UIColor.orange
            // ジェスチャー終了時はグレー
        case UIGestureRecognizerState.ended:
                gestureView.backgroundColor = UIColor.gray
            default:
                break
        }
        // ドラッグ先にビューを移動
        let point : CGPoint = sender.translation(in: self.view)
        var center : CGPoint = sender.view!.center
        center.x += point.x
        center.y += point.y
        gestureView.center = center
        sender.setTranslation(CGPoint.zero, in:self.view)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
