//
//  LongPressViewController.swift
//  EV
//
//

import UIKit

class LongPressViewController: UIViewController {

    @IBOutlet var imageView: UIImageView!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        imageView.image = UIImage(named: "sample1")
        imageView.isUserInteractionEnabled = true
        
        let longPressGesture : UILongPressGestureRecognizer = UILongPressGestureRecognizer(target: self, action: #selector(LongPressViewController.longPressHandler(_:)))
        
        
        // ズレを許容する範囲 20px
        longPressGesture.allowableMovement = 400
        // タップする時間
        longPressGesture.minimumPressDuration = 1.0
        // タップする回数
        longPressGesture.numberOfTapsRequired = 0
        // タップする指の数
        longPressGesture.numberOfTouchesRequired = 1
        
        imageView.addGestureRecognizer(longPressGesture)
        
    }

    @objc func longPressHandler(_ sender:UILongPressGestureRecognizer) {
        // 画像を変更
        imageView.image = UIImage(named:"sample2")
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
