//
//  PanViewController.swift
//  EV
//
//

import UIKit

class PanViewController: UIViewController {

    var panView : UIView = UIView()
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        panView.frame = CGRect(x:60,y:100,width:200,height:200)
        panView.center = CGPoint(x:self.view.center.x, y:self.view.center.y)
        panView.backgroundColor = UIColor.gray
        self.view.addSubview(panView)
        
        let panGesture : UIPanGestureRecognizer = UIPanGestureRecognizer(target: self, action: #selector(PanViewController.panGestureHandler(_:)))
        // ジェスチャーを登録
        panView.addGestureRecognizer(panGesture)
    }

    @objc func panGestureHandler(_ pan:UIPanGestureRecognizer){
        // 移動後の位置を取得
        let point : CGPoint = pan.translation(in: self.view)
        // panViewの中心に加算する
        var center : CGPoint = pan.view!.center
        center.x += point.x
        center.y += point.y
        panView.center = center
        // 移動後の位置を初期化
        pan.setTranslation(CGPoint.zero, in:self.view)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
