//
//  PinchViewController.swift
//  EV
//
//

import UIKit

class PinchViewController: UIViewController {

    var pinchView : UIView = UIView()
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // ピンチイン／ピンチアウト用のビュー
        pinchView.frame = CGRect(x:0,y:0,width:200,height:200)
        pinchView.center = CGPoint(x:self.view.center.x, y:self.view.center.y)
        pinchView.backgroundColor = UIColor.gray
        self.view.addSubview(pinchView)
        
        // ピンチイン／ピンチアウト時の処理ををビューに指定
        let pinchRecognizer : UIPinchGestureRecognizer = UIPinchGestureRecognizer(target: self, action: #selector(PinchViewController.pinchGestureHandler(_:)))
        
        // ジェスチャーを登録
        pinchView.addGestureRecognizer(pinchRecognizer)
    }

    @objc func pinchGestureHandler(_ sender:UIPinchGestureRecognizer) {
        // ビューに拡大／縮小を反映
        pinchView.transform = CGAffineTransform(scaleX: sender.scale, y: sender.scale)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
