//
//  SwipeViewController.swift
//  EV
//
//

import UIKit

class SwipeViewController: UIViewController {

    @IBOutlet var imageView: UIImageView!
    
    var images : Array<String> = Array<String>()
    var imageIndex : NSInteger = 0
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // スワイプで利用する画像、ImageViewを定義
        images = ["sample1","sample2","sample3","sample4","sample5"]
        imageView.image = UIImage(named: images[0])
        imageView.isUserInteractionEnabled = true
        
        // 右方向のスワイプを指定
        let rightSwipeGesture : UISwipeGestureRecognizer = UISwipeGestureRecognizer(target: self, action:#selector(SwipeViewController.swipeGestureHandler(_:)))
        // ジェスチャーを登録
        imageView.addGestureRecognizer(rightSwipeGesture)
        
        // 左方向のスワイプを指定
        let leftSwipeGesture : UISwipeGestureRecognizer = UISwipeGestureRecognizer(target: self, action:#selector(SwipeViewController.swipeGestureHandler(_:)))
        leftSwipeGesture.direction = UISwipeGestureRecognizerDirection.left
        // ジェスチャーを登録
        imageView.addGestureRecognizer(leftSwipeGesture)
    }

    @objc func swipeGestureHandler(_ sender:UIGestureRecognizer){
        let gesture : UISwipeGestureRecognizer = sender as! UISwipeGestureRecognizer
        // スワイプの方向を取得
        let direction : UISwipeGestureRecognizerDirection = gesture.direction

        switch (direction) {
        case UISwipeGestureRecognizerDirection.right:
            imageIndex += 1
            if imageIndex>images.count-1 { imageIndex = 0 }
        case UISwipeGestureRecognizerDirection.left:
            imageIndex -= 1
            if imageIndex<0 { imageIndex = images.count-1 }
        default:
            break
        }
        // 表示する画像のインデックスを変更
        imageView.image = UIImage(named:images[imageIndex])
    }
    
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
