//
//  TapViewController.swift
//  EV
//
//

import UIKit

class TapViewController: UIViewController {

    var tapView : UIView = UIView()
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // タップ用のビューを配置
        tapView.frame = CGRect(x:60,y:100,width:200,height:200)
        tapView.center = CGPoint(x:self.view.center.x, y:self.view.center.y)
        tapView.backgroundColor = UIColor.gray
        self.view.addSubview(tapView)
        
        // タップを定義
        let tapGesture : UITapGestureRecognizer = UITapGestureRecognizer(target: self, action: #selector(TapViewController.tapGestureHandler(_:)))
        
        // タップする回数
        tapGesture.numberOfTapsRequired = 2
        // タップする指の数
        tapGesture.numberOfTouchesRequired = 2
        // ビューにタップを指定
        tapView.addGestureRecognizer(tapGesture)
    }

    @objc func tapGestureHandler(_ sender:UITapGestureRecognizer){
        // 背景の色を変更
        tapView.backgroundColor = UIColor.black
        
        let p = sender.location(in: tapView)
        print("x : \(p.x)  y : \(p.y)")
    }
    
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

}
