//
//  TouchViewController.swift
//  EV
//
//

import UIKit

class TouchViewController: UIViewController {
    
    var pointView : UIView = UIView()
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        // タッチを反映するビュー
        pointView.frame = CGRect(x:0, y:0, width:50, height:50)
        pointView.backgroundColor = UIColor.gray
        self.view.addSubview(pointView)
        pointView.isHidden = true
    }

    // タッチ開始時
    override func touchesBegan(_ touches: Set<UITouch>,
                               with event: UIEvent?){
        
        // Setオブジェクトの中からfirstプロパティでタッチを1つ取得
        if let touch : UITouch = touches.first {
            // タッチした位置にビューを表示
            let nowP : CGPoint = touch.location(in: self.view)
            pointView.center = nowP
            if pointView.isHidden { pointView.isHidden = false }
        }
    }
    
    // タッチ中
    override func touchesMoved(_ touches: Set<UITouch>,
                               with event: UIEvent?){
        
        if let touch : UITouch = touches.first {
            // タッチした位置へビューを移動させる処理
            // タッチした位置情報
            let nowP : CGPoint = touch.location(in: self.view)
            // 直前にタッチした位置情報
            let oldP : CGPoint = touch.previousLocation(in: self.view)
            
            // 直線にタッチした位置との差分をビューの現在の位置に加算
            let deltaX : CGFloat = nowP.x - oldP.x
            let deltaY : CGFloat = nowP.y - oldP.y
            pointView.center = CGPoint(x:pointView.center.x+deltaX, y:pointView.center.y+deltaY)
        }
    }
    
    // タッチ終了時
    override func touchesEnded(_ touches: Set<UITouch>,
                               with event: UIEvent?){
        
        // ビューを非表示
        if !pointView.isHidden { pointView.isHidden = true }
    }
    
    // タッチキャンセル時
    override func touchesCancelled(_ touches: Set<UITouch>?,
                                   with event: UIEvent?){
            // タッチ終了時の処理を呼ぶ
        self.touchesEnded(touches!, with: event)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
