//
//  DownloadViewController.swift
//  Net
//
//

import UIKit

class DownloadViewController: UIViewController, URLSessionDownloadDelegate {

    @IBOutlet var progressView: UIProgressView!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
    }

    @IBAction func onDownload(_ sender: Any) {
        
        // URLを指定してNSURLオブジェクトを生成
        let str : String = "http://www.wings.msn.to/image/wings.jpg"
        let url : URL = URL(string: str)!
        // デリゲートを指定してダウンロード
        let config : URLSessionConfiguration = URLSessionConfiguration.default
        let operationQueue = OperationQueue()
        let session : URLSession = URLSession(configuration: config, delegate: self, delegateQueue: operationQueue)
        let task : URLSessionDownloadTask = session.downloadTask(with: url)
        task.resume()
        
    }
    
    // ダウンロード中の処理
    func urlSession(_ session: URLSession,
                    downloadTask: URLSessionDownloadTask,
        didWriteData bytesWritten: Int64,
        totalBytesWritten: Int64,
        totalBytesExpectedToWrite: Int64)
    {
        print(totalBytesExpectedToWrite)
        DispatchQueue.main.async {
            // ダウンロードするトータルのサイズに対する現在ダウンロードしたサイズの割合
            let progress : Float = Float(totalBytesWritten)/Float(totalBytesExpectedToWrite)
            // プログレスビューに進捗度合いとして表示
            self.progressView.setProgress(progress, animated: true)
        }
    }
    
    // ダウンロード完了時の処理
    func urlSession(_ session: URLSession, downloadTask: URLSessionDownloadTask, didFinishDownloadingTo location: URL)
    {
        // ダウンローした画像を保存
        let filename: String = "sample.jpg"
        let manager = FileManager.default
        let docURL = try! manager.url(for: .documentDirectory, in:.userDomainMask, appropriateFor:nil, create:true)
        let filePathURL: URL = docURL.appendingPathComponent(filename)//URLByAppendingPathComponent(filename)
        
        // ファイルがすでに存在する場合は削除
        do{
            try manager.removeItem(at: filePathURL as URL)
        }catch{}
        // 保存
        do{
            try manager.moveItem(at: location as URL, to: filePathURL as URL)
            print(filePathURL)
        }catch{}
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
