//
//  ArrayViewController.swift
//  Base
//
//

import UIKit

class ArrayViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // 初期化処理
        var arr : Array<String> = Array<String>()
        
        // 要素を追加
        arr.append("白")
        arr.append("黒")
        arr.append("赤")
        arr.append("青")
        
        // 簡略化した記述
        //var arr : Array = ["白", "黒", "赤", "青"]
        //var arr : [String] = ["白", "黒", "赤", "青"]
        
        // 要素を取り出す
        for item in arr {
            print(item)
        }
        
        // 配列の要素の数だけ処理を行う
        //for var i:Int=0; i<arr.count; i++ {
        for i in 0..<arr.count {
            print(arr[i])
        }
        
        
        print(arr)
        
        print(arr.isEmpty)
        
        print(arr.count)
        
        print(arr[1])
        
        print(arr[1...3])
        
        arr.insert("黄", at: 2)
        print(arr)
        
        arr += ["紫", "橙"]
        
        print(arr)
        
        
        arr = ["白", "黒", "赤", "青"]
        
        arr.remove(at: 2)
        
        print(arr)
        
        arr.removeLast()
        
        print(arr)
        
        arr.removeAll(keepingCapacity: true)
        
        print(arr)
        
        var weekdays : Array = ["月","火","水","木","金","土","日"]
        weekdays.removeSubrange(1...3)
        print(weekdays)
        
        
        var numbers : Array<Int> = [10, 5, 100, 20, 3, 80, 70, 200]
        
        // 降順にソート
        numbers.sort(by: {
            (val1 : Int, val2 : Int) -> Bool in
            return val1 > val2
        })
        
        // 引数の型／return文を省略
        numbers.sort(by: { val1, val2 in val1 > val2 })
        // 引数自体を省略
        numbers.sort(by: { $0 > $1 })
        print(numbers)
        
        let nums : Array = [1, 2, 3, 4, 5]
        
        for (index, elem) in nums.enumerated() {
            print("\(index) : \(elem)")
        }
        
        nums.forEach({ elem in print(elem) })
        
        //let twiceNums = nums.map({(elem:Int)->Int in return elem * 2 })
        //let twiceNums = nums.map({ elem in return elem * 2 })
        //let twiceNums = nums.map({ elem in elem * 2 })
        //let twiceNums = nums.map({ $0 * 2 })
        let twiceNums = nums.map{ $0 * 2 }
        print(twiceNums)
        
        // ３より大きい要素を抽出
        let over3Nums = nums.filter { $0 > 3 }
        print(over3Nums)
        
        // 配列の要素を加算して合計値を算出
        let sum = nums.reduce(0, {$0+$1})
        print(sum)
        
        print(nums.max())
        print(nums.min())
        
        let tempDic = [
            "values": [["name": "Tama"],["name": "Muku"],
                        ["name": 1],["name":nil],["name":10]
            ]
        ]
        
        if let dataArray = tempDic["values"] {
            // String型のものを取得
            let nameArray = dataArray.flatMap { $0["name"] as? String }
            print(nameArray)
        }
        
        let s = nums.filter { $0 > 3 }.map{ "\($0)%"}
        print(s)
        
        
        let items = Array(1...10)
        // 5以上のものを合計
        let total = items.filter{ $0 >= 5 }.reduce( 0, + )
        print(total)
        
        let scores = [20,25,30,35,40]
        // 各要素を2乗して偶数のものだけを抽出
        let values = scores.map{ $0 * $0 }.filter{ $0 % 2 == 0 }
        print(values)
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}

struct station {
    let line: String
    let name: String
}
