//
//  DataViewController.swift
//  Base
//
//

import UIKit

class DataViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        // sample.txtのデータを取得
        let path : String = Bundle.main.path(forResource: "sample", ofType: "txt")!
        let url = URL(fileURLWithPath: path)
        let data = try? Data(contentsOf: url)
        let str = String(data: data!, encoding: .utf8)
        print(str ?? "")
        
        // Documentsディレクトリに保存
        let docPath: String = NSSearchPathForDirectoriesInDomains(FileManager.SearchPathDirectory.documentDirectory, FileManager.SearchPathDomainMask.userDomainMask, true)[0]
        
        // ファイルに出力
        try? data?.write(to: URL(fileURLWithPath:docPath+"/test.txt"), options: NSData.WritingOptions.atomic)
            
        // https://developer.apple.com/documentation/foundation/nsdata.writingoptions
        let str1 : String = "ファイルを"
        let str2 : String = "保存します"
        
        // テキストからバイト列を作成する
        let data1 : Data = str1.data(using: String.Encoding(rawValue: String.Encoding.utf8.rawValue))!
        let data2 : Data = str2.data(using: String.Encoding(rawValue: String.Encoding.utf8.rawValue))!
        
        // 保存するデータを用意する
        var mdata = Data()
        // データを追加
        mdata.append(data1)
        mdata.append(data2)
        
        // Documentsディレクトリに保存
        let savePath : String = NSSearchPathForDirectoriesInDomains(.documentDirectory, .userDomainMask, true)[0]
        
        // 保存ディレクトリ確認
        print(savePath)
        
        // ファイルに出力
        do{
            try mdata.write(to: URL(fileURLWithPath:savePath+"/mdata.txt"), options: NSData.WritingOptions.atomic)
        }catch{
            print(error)
        }
        /*
        // 保存するデータを用意する
        let mdata : NSMutableData = NSMutableData()
        //let mdata = Data()
        // データをセット
        mdata.setData(data1 as Data)
        // データを追加
        mdata.append(data2)
        
        // Documentsディレクトリに保存
        let savePath : String = NSSearchPathForDirectoriesInDomains(.documentDirectory, .userDomainMask, true)[0]
        
        // 保存ディレクトリ確認
        print(savePath)
        
        // ファイルに出力
        mdata.write(toFile: savePath+"/mdata.txt", atomically: true)
        */
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
