//
//  DateViewController.swift
//  Base
//
//

import UIKit

class DateViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // 現在の日時
        let date : Date = Date()
        print(date)
        
        // システムのタイムゾーン
        let timezone : TimeZone = TimeZone.current
        // ローカルの日時
        let localDate : Date = Date(timeIntervalSinceNow: Double(timezone.secondsFromGMT()))
        print(localDate)
        //print(TimeZone.current.secondsFromGMT())
        // フォーマットを指定
        let dateFormatter : DateFormatter = DateFormatter()
        dateFormatter.locale = Locale(identifier: "ja_JP")
        dateFormatter.dateFormat = "yyyy年MM月dd日 HH時mm分"
        
        print(dateFormatter.string(from: date))
        
        // 文字列から日付データを生成
        let strDate : Date = dateFormatter.date(from: "2019年3月1日 00時00分")!
        print(strDate)
        
        // 365日後の経過秒数
        let t : TimeInterval = 60 * 60 * 24 * 365
        // 365日後の日時
        let date1 : Date = Date(timeInterval: t, since: localDate)
        print(date1)
        
        // 等しいか?
        print((localDate as NSDate).isEqual(to: date1))
        
        // 遅い日時を表示
        print((localDate as NSDate).laterDate(date1))
        
        // 早い日時を表示
        print((localDate as NSDate).earlierDate(date1))
        
        // 365日後の経過秒数を加算
        let nextDate = localDate.addingTimeInterval(t)
        print(nextDate)
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
