//
//  DicViewController.swift
//  Base
//
//

import UIKit

class DicViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // 初期化処理
        var dic: Dictionary<String, String> = Dictionary<String, String>()
        // キーと値を設定
        dic.updateValue("白", forKey : "white")
        dic.updateValue("赤", forKey : "red")
        dic.updateValue("黒", forKey : "black")
        dic.updateValue("青", forKey : "blue")
 
        // 簡略化した記述
        //var dic : Dictionary = ["white":"白", "red":"赤", "black":"黒", "blue":"青"]
        //var dic : [String : String] = ["white":"白", "red":"赤", "black":"黒", "blue":"青"]
        // キーと値を設定
        //dic["red"] = "赤"
        print(dic)
        
        // キーと値を取り出す
        for (key , value) in dic {
            print("\(key) : \(value)")
        }
        
        for i in 0 ..< dic.count {
            // i番目のキーを取得
        let key : String = Array(dic.keys)[i]
            print("\(key) : \(dic[key]!)")
        }
        
        print(dic.isEmpty)
        
        // 全てのキーを取得
        let keys : Array = Array(dic.keys)
        
        for key in keys{
            print(key)
        }
        
        let vals : Array = Array(dic.values)
        
        for val in vals{
            print(val)
        }
        
        //dic.removeAll(keepCapacity: true)
        
        dic.removeValue(forKey: "red")
        // キーと値を取り出す
        for (key , value) in dic {
            print("\(key) : \(value)")
        }
        
        let scoreDic: [String: Int] = ["alice": 10, "scot": 20, "tom": 30]
        
        let scoreX2 = scoreDic.mapValues({ $0 * 2 })
        print(scoreX2)
        
        let scoreThan20 = scoreDic.filter( { $0.value >= 20 } )
        print(scoreThan20)
        
        let totalScore = scoreDic.reduce(0, {$0 + $1.value})
        print(totalScore)
        
        // グループ化する配列
        let people = ["Alice", "Scot", "Mat", "Ric", "Mary", "Mike", "Karin", "Steve", "Edward", "Ken", "Roy"]
        
        // 名前の最初の文字でグループ化
        let groupNameDic = Dictionary(grouping: people, by: { $0.first! })
        print(groupNameDic)
        
        // 名前の文字数でグループ化
        let groupLengthDic = Dictionary(grouping: people) { $0.count }
        print(groupLengthDic)
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
