//
//  FuncViewController.swift
//  Base
//
//

import UIKit

class FuncViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // 可変長引数を利用したメソッドの呼び出し
        print(total())
        print(total(num: 1,2,3))
        
        var localStr : String = "文字列 1"
        
        strFunc(str: &localStr)
        
        print(localStr)
        
        // クラスメソッドを呼び出す
        let n: Int = Util.add(num1: 1, num2: 2)
        print(n)
        
        
        let item : Item = Item()
        item.price = 100
        print(item.price)
        print(item.unitPrice)
        print(item.taxIncludedPrice)
        
        
        let nums : Array = [1, 2, 3]
        // 配列内の各値を3倍にする処理を配列に適応
        nums.map( {(val: Int) -> Int in return val * 3 } )
        
        print(nums.map( {(val: Int) -> Int in return val * 3 } ))
        
        // クロージャを使って値の大きい順に並べ替える処理の例
        var numbers : Array<Int> = [10, 5, 100, 20, 3, 80, 70, 200]
        // 引数の型／return文を省略
        numbers.sort { val1, val2 in val1 > val2 }
        
        // 引数自体を省略
        numbers.sort { $0 > $1 }
        
        print(numbers)
    }

    private func strFunc( str: inout String) {
        str = "文字列 2"
    }
    
    // 可変長引数を利用したメソッド
    func total(num : Int...)->Int{
        var s : Int = 0
        for n in num {
            s += n
        }
        return s
    }
    
    // ジェネリクスを引数にしたメソッド 
    func someMethod<T>(value: T) {
        print(value)
    }

    // 引数をコレクションに制限したメソッド
    func someMethod<T : Collection>(value: T) {
        print(value)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
}

class Util {
    // 加算した値を返すクラスメソッド
    class func add(num1 x: Int, num2 y: Int)->Int{
        let z : Int = x + y
        return z
    }
}

class Item {
    // 保持型プロパティ
    var unitPrice : Int = 0
    var taxIncludedPrice : Int = 0
    // 計算型プロパティ
    var price : Int{
        get {
            return unitPrice
        }
        set {
            // 値がセットされた以下の処理を行う
            unitPrice = newValue
            taxIncludedPrice = Int(Double(newValue)*1.08)
        }
    }
}
