//
//  AppDelegate.swift
//  Split
//

import UIKit

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate{//, UISplitViewControllerDelegate {

    var window: UIWindow?


    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplicationLaunchOptionsKey: Any]?) -> Bool {
        // Override point for customization after application launch.
        
        // ウィンドウのサイズを指定
        self.window = UIWindow(frame: UIScreen.main.bounds)
        
        // primaryを準備
        let masterViewController = MasterViewController(nibName : nil, bundle : nil)
        let masterNavigationController = UINavigationController(rootViewController: masterViewController)
        
        // secondaryを準備
        let detailViewController = DetailViewController(nibName : nil, bundle : nil)
        let detailNavigationController = UINavigationController(rootViewController: detailViewController)
        
        // UISplitViewControllerを準備
        let splitViewController = UISplitViewController()
        //splitViewController.delegate = self;
        
        splitViewController.viewControllers = [masterNavigationController, detailNavigationController]
        
        // 画面分割の形式を指定
        //splitViewController.preferredDisplayMode = UISplitViewControllerDisplayMode.automatic
        //splitViewController.preferredDisplayMode = UISplitViewControllerDisplayMode.primaryHidden
        splitViewController.preferredDisplayMode = UISplitViewControllerDisplayMode.allVisible
        //splitViewController.preferredDisplayMode = UISplitViewControllerDisplayMode.primaryOverlay
        
        // 左側の画面を開閉するボタン
        detailViewController.navigationItem.leftBarButtonItem = splitViewController.displayModeButtonItem
        detailViewController.navigationItem.leftItemsSupplementBackButton = true
        
        self.window!.rootViewController = splitViewController
        
        // windowを表示
        self.window!.makeKeyAndVisible()
        
        return true
    }

    func applicationWillResignActive(_ application: UIApplication) {
        // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
        // Use this method to pause ongoing tasks, disable timers, and invalidate graphics rendering callbacks. Games should use this method to pause the game.
    }

    func applicationDidEnterBackground(_ application: UIApplication) {
        // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
        // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
    }

    func applicationWillEnterForeground(_ application: UIApplication) {
        // Called as part of the transition from the background to the active state; here you can undo many of the changes made on entering the background.
    }

    func applicationDidBecomeActive(_ application: UIApplication) {
        // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
    }

    func applicationWillTerminate(_ application: UIApplication) {
        // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
    }

    // MARK: - Split view

    func splitViewController(_ splitViewController: UISplitViewController, collapseSecondary secondaryViewController:UIViewController, onto primaryViewController:UIViewController) -> Bool {
        guard let secondaryAsNavController = secondaryViewController as? UINavigationController else { return false }
        guard let topAsDetailController = secondaryAsNavController.topViewController as? DetailViewController else { return false }
        if topAsDetailController.detailItem == nil {
            // Return true to indicate that we have handled the collapse by doing nothing; the secondary controller will be discarded.
            return true
        }
        return false
    }

}

