//
//  ButtonViewController.swift
//  UI
//
//

import UIKit

class ButtonViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        let button : UIButton = UIButton(type: UIButtonType.system)
        button.frame = CGRect(x:110,y:100,width:100,height:30)
        // タイトルのフォント、文字サイズを指定
        button.titleLabel!.font = UIFont(name: "Arial", size:14.0)
        button.setTitle("ボタン", for: UIControlState.normal)
        button.setTitleColor(UIColor.black, for: UIControlState.normal)
        button.setTitleColor(UIColor.blue, for: UIControlState.highlighted)
        button.tintAdjustmentMode = UIViewTintAdjustmentMode.normal
        self.view.addSubview(button)
        
        // 画像を利用したボタン
        let button2 : UIButton = UIButton(type: UIButtonType.custom)
        button2.frame = CGRect(x:110,y:200,width:100,height:30)
        button2.titleLabel!.font = UIFont(name: "Arial", size:14.0)
        // 通常は文字色を白に、背景画像を黒に
        button2.setTitle("Button", for: UIControlState.normal)
        button2.setTitleColor(UIColor.white, for: UIControlState.normal)
        button2.setBackgroundImage(UIImage(named: "blackButton"), for:UIControlState.normal)
        
        // ハイライト時は文字色を黒に、背景画像を灰色に
        button2.setTitle("Button", for: UIControlState.highlighted)
        button2.setTitleColor(UIColor.black, for: UIControlState.highlighted)
        button2.setBackgroundImage(UIImage(named: "grayButton"), for:  UIControlState.highlighted)
        
        self.view.addSubview(button2)
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
