//
//  NavigationBarItemsViewController.swift
//  UI
//
//

import UIKit

class NavigationBarItemsViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // ナビゲーションバーを生成
        let navBar : UINavigationBar = UINavigationBar(frame:CGRect(x:0, y:65, width:self.view.frame.width, height:40))
        navBar.barStyle = UIBarStyle.default
        navBar.isTranslucent = false
        
        // ナビゲーションアイテムを生成
        let navItem : UINavigationItem = UINavigationItem(title:"test")
        
        // 右側のボタン
        let rightBtn1 : UIBarButtonItem = UIBarButtonItem(barButtonSystemItem: UIBarButtonSystemItem.add, target: self, action: #selector(self.action(_:)))
        
        let rightBtn2 : UIBarButtonItem = UIBarButtonItem(barButtonSystemItem: UIBarButtonSystemItem.save, target: self, action: #selector(self.action(_:)))
        
        
        navItem.rightBarButtonItems = [rightBtn1, rightBtn2]
        
        // 左側のボタン
        let leftBtn1 : UIBarButtonItem = UIBarButtonItem(title: "戻る", style: UIBarButtonItemStyle.plain, target: self, action: #selector(self.action(_:)))
        
        let leftBtn2 : UIBarButtonItem = UIBarButtonItem(title: "進む", style: UIBarButtonItemStyle.plain, target: self, action: #selector(self.action(_:)))
        
        navItem.leftBarButtonItems = [leftBtn1, leftBtn2]
        
        // ナビゲーションバーにナビゲーションアイテムを指定
        navBar.pushItem(navItem, animated: true)
        
        self.view.addSubview(navBar)
        
        self.navigationItem.leftBarButtonItem?.isEnabled = true
        self.navigationItem.rightBarButtonItem?.isEnabled = true
    }

    @objc func action(_ sender: Any){
        
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
