//
//  NavigationBarViewController.swift
//  UI
//
//

import UIKit

class NavigationBarViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // ナビゲーションバーを生成
        let navBar : UINavigationBar = UINavigationBar(frame:CGRect(x:0, y:65, width:self.view.frame.width, height:40))
        // スタイル、アイテムの文字色、背景色を指定
        navBar.barStyle = UIBarStyle.default
        navBar.tintColor = UIColor.white
        navBar.barTintColor = UIColor.blue
        navBar.isTranslucent = true
        
        // ナビゲーションアイテムを生成
        let navItem : UINavigationItem = UINavigationItem(title: "タイトル")
        
        let rightBtn : UIBarButtonItem = UIBarButtonItem(title: "Right", style: UIBarButtonItemStyle.plain, target: nil, action: nil)
        navItem.rightBarButtonItem = rightBtn
        
        let leftBtn : UIBarButtonItem = UIBarButtonItem(title: "Left", style: UIBarButtonItemStyle.plain, target: nil, action: nil)
        navItem.leftBarButtonItem = leftBtn
        
        // ナビゲーションアイテムをナビゲーションバー上に配置
        navBar.pushItem(navItem, animated:true)
        
        // ナビゲーションバーを表示
        self.view.addSubview(navBar)
        
        self.navigationItem.leftBarButtonItem?.isEnabled = true
        self.navigationItem.rightBarButtonItem?.isEnabled = true
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
