//
//  PickerViewController.swift
//  UI
//
//

import UIKit

class PickerViewController: UIViewController {
    

    @IBOutlet var pickerView: UIPickerView!
    
    var devices : Array<String> = Array<String>()
    var items : Array<String> = Array<String>()
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        //ピッカーと選択するデータを定義
        
        pickerView.showsSelectionIndicator = true
        pickerView.dataSource = self
        pickerView.delegate = self
        pickerView.center = self.view.center
        
        devices = ["iPhone", "iPod", "iPad"]
        for i in 0...10 {
            items.append(String(i))
        }
        
        // 0番目のホイールは2行目を選択
        pickerView.selectRow(1, inComponent: 0, animated: false)
        // 1番目のホイールは4行目を選択
        pickerView.selectRow(3, inComponent: 1, animated: false)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
}

extension PickerViewController : UIPickerViewDelegate {
    // ホイールに表示する選択肢のタイトル
    func pickerView(_ pickerView: UIPickerView, titleForRow row: Int, forComponent component: Int) -> String? {
        // 0番目の選択項目のタイトル
        if component == 0 {
            return devices[row] as String
        }
            // 1番目の選択項目のタイトル
        else{
            return items[row] as String
        }
    }
    
    // コンポーネントの幅を指定
    func pickerView(_ pickerView: UIPickerView,
                    widthForComponent component: Int) -> CGFloat{
        // 0番目のコンポーネントは幅を200に
        if component == 0 {
            return  200.0
        }
            // 1番目のコンポーネントは幅を60に
        else{
            return 60.0
        }
    }
    // 選択肢の高さを指定
    func pickerView(_ pickerView: UIPickerView,
                    rowHeightForComponent component: Int) -> CGFloat{
        return 40.0
    }
    
    // 選択時の処理
    func pickerView(_ pickerView: UIPickerView,
                    didSelectRow row: Int,
                    inComponent component: Int){
        // 0番目のコンポーネント選択時
        if component == 0 {
            print(devices[row])
        }
            // 1番目のコンポーネント選択時
        else{
            print(items[row])
        }
    }
}

extension PickerViewController : UIPickerViewDataSource {
    // コンポーネントの数
    func numberOfComponents(in pickerView: UIPickerView) -> Int {
        return 2
    }
    
    // コンポーネント内のデータ
    func pickerView(_ pickerView: UIPickerView, numberOfRowsInComponent component: Int) -> Int {
        if component == 0 {
            return devices.count
        }else{
            return items.count
        }
    }
}
