
//
//  SearchBarDetailViewController.swift
//  UI
//
//

import UIKit

class SearchBarDetailViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        let searchBar : UISearchBar = UISearchBar(frame:CGRect(x:0.0, y:100.0, width:self.view.bounds.size.width, height:44.0))
        searchBar.delegate = self
        
        // 各種ボタンを表示
        searchBar.showsCancelButton = true
        searchBar.showsBookmarkButton = true
        searchBar.showsSearchResultsButton = true
        
        // 見出し、プレースホルダの表示
        searchBar.prompt = "年代別検索"
        searchBar.placeholder = "検索ワード"
        
        // スコープバーの利用
        searchBar.keyboardType = UIKeyboardType.default
        searchBar.showsScopeBar = true
        searchBar.scopeButtonTitles = ["2016", "2017", "2018", "すべて"]
        
        // 枠と文字を灰色に
        searchBar.tintColor = UIColor.gray
        //searchBar.barTintColor = UIColor.white
        
        self.view.addSubview(searchBar)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
}

extension SearchBarDetailViewController: UISearchBarDelegate {
    
    func searchBarCancelButtonClicked(_ searchBar: UISearchBar){
        // 検索フォームを空にする
        searchBar.text = ""
    }
    
    func searchBar(_ searchBar: UISearchBar,
                   selectedScopeButtonIndexDidChange selectedScope: Int){
        // スコープのインデックスを取得
        print(selectedScope)
    }
    
    func searchBar(_ searchBar: UISearchBar,
                   textDidChange searchText: String){
        // 再建策の処理など
    }
    
    func searchBarSearchButtonClicked(_ searchBar: UISearchBar){
        // 検索ボタン押下時の処理
    }
}
