//
//  SliderViewController.swift
//  UI
//
//

import UIKit

class SliderViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // スライダーを生成
        let slider : UISlider = UISlider(frame:CGRect(x:60,y:100,width:200,height:20))
        // 最小値を指定
        slider.minimumValue = 0.0
        // 既定の選択値を指定
        slider.maximumValue = 100.0
        // 既定の選択値を指定
        slider.value = slider.maximumValue/3
        // 画面に追加
        self.view.addSubview(slider)
        
        // スライダーの目印
        slider.setThumbImage(UIImage(named: "ball1"),  for: UIControlState.normal)
        
        slider.setThumbImage(UIImage(named: "ball2"), for: UIControlState.highlighted)
        
        // 右側の背景
        slider.setMaximumTrackImage(UIImage(named: "bluebar")?.resizableImage(withCapInsets:
            UIEdgeInsets(top: 100, left: 20, bottom: 50, right: 20)), for: UIControlState.normal)
            //UIEdgeInsetsMake(100, 20, 50, 20)), for: UIControlState.normal)
        
        // 左側の背景
        slider.setMinimumTrackImage(UIImage(named: "redbar")?.resizableImage(withCapInsets: UIEdgeInsets(top: 100, left: 20, bottom: 50, right: 20)), for: UIControlState.normal)
        //UIEdgeInsetsMake(100, 20, 50, 20)), for: UIControlState.normal)
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
