//
//  TabBarItemsViewController.swift
//  UI
//
//

import UIKit

class TabBarItemsViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // バッヂを付けたアイテム
        let tabBarItem1 : UITabBarItem = UITabBarItem(title: "Home", image: UIImage(named: "heart"), tag: 0)
        tabBarItem1.badgeValue = "100"
        
        let tabBarItem2 : UITabBarItem = UITabBarItem(tabBarSystemItem: UITabBarSystemItem.favorites, tag: 1)
        
        let tabBarItem3 : UITabBarItem = UITabBarItem(tabBarSystemItem: UITabBarSystemItem.contacts, tag: 2)
        tabBarItem3.badgeValue = "info"
        
        let tabBar : UITabBar = UITabBar(frame: CGRect(x:0, y:360, width:self.view.bounds.size.width, height:49))
        
        // タブバーのアイテムを指定
        tabBar.items = [tabBarItem1,tabBarItem2,tabBarItem3]
        tabBar.delegate = self
        tabBar.isTranslucent = false
        tabBar.barStyle = UIBarStyle.default
        // アイテム選択時の色、背景色を指定
        //tabBar.tintColor = UIColor.re
        //tabBar.barTintColor = UIColor.gray
        tabBar.selectedItem = tabBarItem1
        self.view.addSubview(tabBar)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
}

extension TabBarItemsViewController: UITabBarDelegate {
    
    // アイテム選択時の処理
    func tabBar(_ tabBar: UITabBar,
            didSelect item: UITabBarItem){
        print(item.tag)
        // バッヂを消す
        item.badgeValue = nil
    }
}
