//
//  TextFieldDetailViewController.swift
//  UI
//
//

import UIKit

class TextFieldDetailViewController: UIViewController, UITextFieldDelegate {

    @IBOutlet var textField: UITextField!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        textField.placeholder = "検索ワード"
        textField.keyboardType = UIKeyboardType.default
        textField.returnKeyType = UIReturnKeyType.google
        
        //textField.returnKeyType = UIReturnKeyType.default
        //textField.returnKeyType = UIReturnKeyType.go	//開く
        //textField.returnKeyType = UIReturnKeyType.google	//Googleでの検索.bmp
        //textField.returnKeyType = UIReturnKeyType.join	//接続
        //textField.returnKeyType = UIReturnKeyType.next	//次へ
        //textField.returnKeyType = UIReturnKeyType.route	//経路
        //textField.returnKeyType = UIReturnKeyType.search	//検索
        //textField.returnKeyType = UIReturnKeyType.send	//送信
        //textField.returnKeyType = UIReturnKeyType.yahoo	//Yahooでの検索	bmp
        //textField.returnKeyType = UIReturnKeyType.done	//完了
        //textField.returnKeyType = UIReturnKeyType.emergencyCall	//緊急電話
        
        textField.delegate = self
    }
    
    // リターンキー押下時にキーボードを消す
    func textFieldShouldReturn(_ textField: UITextField) -> Bool{
        textField.resignFirstResponder()
        return true
    }
    
    // 入力開始時
    func textFieldDidBeginEditing(_ textField: UITextField){
        print("入力を開始しました")
    }
    
    // 編集終了時
    func textFieldDidEndEditing(_ textField: UITextField){
        // 入力文字列の取得
        print(textField.text)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
