//
//  ToolbarItemsViewController.swift
//  UI
//
//

import UIKit

class ToolbarItemsViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        
        let item1 : UIBarButtonItem = UIBarButtonItem(title: "Item", style: UIBarButtonItemStyle.plain, target: self, action: #selector(self.chgVal(_:)))
        
        let item2 : UIBarButtonItem = UIBarButtonItem(title: "Item", style: UIBarButtonItemStyle.plain, target: self, action: #selector(self.action(_:)))
        
        item2.tintColor = UIColor.black
        
        let item3 : UIBarButtonItem = UIBarButtonItem(title: "Item", style: UIBarButtonItemStyle.done, target: self, action: #selector(self.action(_:)))
        
        let flexItem : UIBarButtonItem = UIBarButtonItem(barButtonSystemItem: UIBarButtonSystemItem.flexibleSpace, target: nil, action: nil)
        
        // 画像を利用したボタン
        let imgItem : UIBarButtonItem = UIBarButtonItem(image: UIImage(named: "star"), style: UIBarButtonItemStyle.plain, target: self, action: #selector(self.action(_:)))
        
        // 固定スペース
        let fixedItem : UIBarButtonItem = UIBarButtonItem(barButtonSystemItem: UIBarButtonSystemItem.fixedSpace, target: nil, action: nil)
        fixedItem.width = 30
        
        // 「追加」のボタン
        let systemItem : UIBarButtonItem = UIBarButtonItem(barButtonSystemItem: UIBarButtonSystemItem.add , target: self, action: #selector(ToolbarItemsViewController.action(_:)))
        
        // ツールバーを生成
        let toolbar : UIToolbar = UIToolbar(frame: CGRect(x:0, y:320, width:self.view.bounds.size.width, height:44))
        
        //toolbar.barStyle = UIBarStyle.black
        // アイテムの文字色／バーの背景色を指定
        //toolbar.tintColor = UIColor.gray
        //toolbar.barTintColor = UIColor.red
        // 透明度の適応を指定
        toolbar.isTranslucent = true
        // ボタンを指定
        toolbar.items = [item1, item2, item3, flexItem, imgItem, fixedItem, systemItem]
        self.view.addSubview(toolbar)
    }

    @objc func chgVal(_ sender:Any){
        print(sender)
    }

    
    @objc func action(_ sender:Any){
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
