//
//  LayoutLabelViewController.swift
//  VC
//

import UIKit

class LayoutViewController: UIViewController {
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        // オートレイアウトを適用するビュー
        let redView = UIView()
        redView.backgroundColor = UIColor.red
        redView.translatesAutoresizingMaskIntoConstraints = false
        view.addSubview(redView)
        
        // 画面のコンテンツ有効領域
        let safeArea = self.view.safeAreaLayoutGuide
        
        self.view.addConstraints([
            // 上から20px開ける
            NSLayoutConstraint(item: redView, attribute: NSLayoutAttribute.top,    relatedBy: NSLayoutRelation.equal, toItem: safeArea, attribute: NSLayoutAttribute.top,    multiplier: 1,   constant: 20),
            // 右から20px開ける
            NSLayoutConstraint(item: redView, attribute: NSLayoutAttribute.right,  relatedBy: NSLayoutRelation.equal, toItem: safeArea, attribute: NSLayoutAttribute.right,  multiplier: 1,   constant: -20),
            // 左から20px開ける
            NSLayoutConstraint(item: redView, attribute: NSLayoutAttribute.left,   relatedBy: NSLayoutRelation.equal, toItem: safeArea, attribute: NSLayoutAttribute.left,   multiplier: 1,   constant: 20),
            // 高さはSafe Areaの半分
            NSLayoutConstraint(item: redView, attribute: NSLayoutAttribute.height, relatedBy: NSLayoutRelation.equal, toItem: safeArea, attribute: NSLayoutAttribute.height, multiplier: 0.5, constant: 0),
            ])
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
