//
//  MainViewController.swift
//  VC
//

import UIKit

class MainViewController: UIViewController {

    private let Identifier = "Cell"
    private let items = ["ViewController", "TableStyleViewController", "StartTableViewController",
                         "LayoutButtonViewController","LayoutViewController"
                         ]
    
    @IBOutlet weak var tableView: UITableView!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        tableView.register(UITableViewCell.self, forCellReuseIdentifier: self.Identifier)
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
}

// UITableViewDelegateを実装した部分
extension MainViewController : UITableViewDelegate {
    // テーブルのセル選択時の処理
    func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        // Main.storyboardを取得
        let storyBoard = UIStoryboard(name: "Main", bundle: nil)
        let key = items[indexPath.row]
        let vc = storyBoard.instantiateViewController(withIdentifier:key)
        self.navigationController?.pushViewController(vc, animated: true)
    }
}

// UITableViewDataSourceを実装した部分
extension MainViewController : UITableViewDataSource {
    // テーブルのセル数
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return items.count
    }
    
    // テーブルに表示するセル
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: self.Identifier)
        cell?.textLabel?.text = items[indexPath.row]
        return cell!
    }
}

