//
//  ViewController.swift
//  VC
//

import UIKit

class ViewController: UIViewController {

    var pageLabel : UILabel?
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        // 画面タイトルの指定
        self.title = "画面タイトル"
        // ビューの背景色を指定
        self.view.backgroundColor = UIColor.white
        
        // ラベルを表示
        pageLabel = UILabel()
        pageLabel!.frame = CGRect(x:20, y:80, width:self.view.bounds.size.width, height:20)
        pageLabel!.backgroundColor = UIColor.clear
        pageLabel!.text = "ViewController"
        self.view.addSubview(pageLabel!)
        
        let button : UIButton = UIButton(type: UIButtonType.system)
        button.frame = CGRect(x:124,y:340,width:73,height:44)
        button.backgroundColor = UIColor.gray
        button.setTitle("Button", for: .normal)
        button.setTitleColor(UIColor.white, for: .normal)
        button.addTarget(self, action: #selector(ViewController.onPush(_:)), for:.touchUpInside)
        self.view.addSubview(button)
        
        // 画面を遷移するボタンを追加
        let nbutton : UIButton = UIButton(type: UIButtonType.system)
        nbutton.frame = CGRect(x:224,y:340,width:73,height:44)
        nbutton.backgroundColor = UIColor.gray
        nbutton.setTitle("Next", for: .normal)
        nbutton.setTitleColor(UIColor.white, for: .normal)
        nbutton.addTarget(self, action: #selector(ViewController.onNext(_:)), for:.touchUpInside)
        self.view.addSubview(nbutton)
        
        // ラベルを削除するボタンを追加
        let rbutton : UIButton = UIButton(type: UIButtonType.system)
        rbutton.frame = CGRect(x:124,y:400,width:73,height:44)
        rbutton.backgroundColor = UIColor.gray
        rbutton.setTitle("Remove", for: .normal)
        rbutton.setTitleColor(UIColor.white, for: .normal)
        rbutton.addTarget(self, action: #selector(ViewController.onRemove(_:)), for:.touchUpInside)
        self.view.addSubview(rbutton)
        
        // ナビゲーションバーの非表示
        //self.navigationController?.setNavigationBarHidden(true, animated: true)
        
        // ツールバーの表示
        //self.navigationController?.setToolbarHidden(false, animated: true)
    }
    
    // ボタン押下時の処理
    @objc func onPush(_ sender: UIButton){
        
        let modalViewController : ModalViewController = ModalViewController(nibName : nil, bundle : nil)
        
        // 下から表示（既定）
        modalViewController.modalTransitionStyle = UIModalTransitionStyle.coverVertical
        
        // 浮かび上がって表示
        //modalViewController.modalTransitionStyle = UIModalTransitionStyle.crossDissolve
        
        // 回転して表示
        //modalViewController.modalTransitionStyle = UIModalTransitionStyle.flipHorizontal
        
        // めくれて表示
        //modalViewController.modalTransitionStyle = UIModalTransitionStyle.partialCurl
        
        self.present(modalViewController, animated: true, completion:
            {
                modalViewController.view.backgroundColor = UIColor.red
            }
        )
    }
    
    // ボタン押下時の処理
    @objc func onNext(_ sender: UIButton){
        // 画面を追加
        let storyboard = UIStoryboard(name: "Main", bundle: nil)
        let view2Controller = storyboard.instantiateViewController(withIdentifier: "ViewController2")
        print(view2Controller)
        self.view.addSubview(view2Controller.view)
    }
    
    @objc func onRemove(_ sender: UIButton){
        // ラベルを削除
        pageLabel!.removeFromSuperview()
    }
    // メモリ不足時の処理
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
}

