//
//  ContentTableViewController.swift
//  Pop
//

import UIKit

protocol ContentPopoverDelegate : NSObjectProtocol {
    func didSelect(_ word:String)
}

class ContentTableViewController: UITableViewController {

    // デリゲートを参照するプロパティ
    var delegate:ContentPopoverDelegate?
    
    let items :[String] = ["Select1", "Select2", "Select3"]
    let kCellIdentifier = "CellIdentifier"
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Uncomment the following line to preserve selection between presentations
        // self.clearsSelectionOnViewWillAppear = false
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    // MARK: - Table view data source

    override func numberOfSections(in tableView: UITableView) -> Int {
        // #warning Potentially incomplete method implementation.
        // Return the number of sections.
        return 1
    }

    override func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        // #warning Incomplete method implementation.
        // Return the number of rows in the section.
        return self.items.count
    }

    
    override func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        //let cell = tableView.dequeueReusableCellWithIdentifier("reuseIdentifier", forIndexPath: indexPath) as! UITableViewCell

        // Configure the cell...
        var cell = tableView.dequeueReusableCell(withIdentifier:
            kCellIdentifier)
        if cell == nil {
            cell = UITableViewCell(style: UITableViewCellStyle.default,
                reuseIdentifier: kCellIdentifier)
        }
        
        cell?.textLabel?.text = self.items[indexPath.row]
        
        return cell!
    }
    
    // セル画選択された際の処理
    override func tableView(_ tableView: UITableView?, didSelectRowAt indexPath:IndexPath) {
        // 選択したセルのテキスト
        let item : String = self.items[indexPath.row]
        self.delegate?.didSelect(item)
    }
}
