//
//  PopViewController.swift
//  ViewControllers
//

import UIKit

class PopViewController: UIViewController {

    var searchBar : UISearchBar!
    var barButton : UIBarButtonItem!
    var controller : ContentTableViewController?
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
        self.searchBar = UISearchBar()
        self.navigationItem.titleView = self.searchBar
        self.navigationItem.titleView!.frame = CGRect(x:0, y:0, width:320, height:44)
        
        // ポップオーバーを表示するボタンを定義
        self.barButton = UIBarButtonItem(title: "POP", style: UIBarButtonItemStyle.plain, target: self, action:#selector(PopViewController.showPop(_:)))
        
        self.navigationItem.setRightBarButton(self.barButton, animated: true)
    }
    
    @objc func showPop(_ sender: Any) {
        // ポップオーバーとして表示するビューコントローラー
        
        let storyboard = UIStoryboard(name: "Main", bundle: nil)
        self.controller = storyboard.instantiateViewController(withIdentifier: "ContentTableViewController") as? ContentTableViewController
        
        // ポップオーバーで表示
        self.controller?.modalPresentationStyle = UIModalPresentationStyle.popover
        // 300x300のサイズを指定
        self.controller?.preferredContentSize = CGSize(width: 300, height: 300)
        
        // ポップオーバーの詳細を指定
        // ビューコントローラーの上に表示
        self.controller?.popoverPresentationController?.sourceView = self.view
        // 検索窓から表示
        self.controller?.popoverPresentationController?.sourceRect = self.searchBar.bounds
        // アンカーの向き
        self.controller?.popoverPresentationController?.permittedArrowDirections = UIPopoverArrowDirection.any
        // タップしても閉じないUIを指定
        self.controller?.popoverPresentationController?.passthroughViews = [self.searchBar]
        
        // デリゲートを指定
        self.controller?.popoverPresentationController?.delegate = self
        self.controller?.delegate = self
        
        // 表示
        present(self.controller!, animated: true, completion: nil)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
}

extension PopViewController: UIPopoverPresentationControllerDelegate {
    // 動作時の表示形式を指定
    func adaptivePresentationStyle(for controller: UIPresentationController, traitCollection: UITraitCollection) -> UIModalPresentationStyle {
        return UIModalPresentationStyle.none
    }
    
    // 終了時の処理を指定
    func popoverPresentationControllerDidDismissPopover(_ popoverPresentationController: UIPopoverPresentationController) {
        // ポップオーバーとして表示するビューコントローラーをクリア
        self.controller = nil
    }
    
}

extension PopViewController: ContentPopoverDelegate {
    func didSelect(_ word: String) {
        self.searchBar.text = word
        self.controller?.dismiss(animated: true, completion:nil)
    }
}
