//
//  TabViewController.swift
//  VC
//
//

import UIKit

// UITabBarControllerを継承したビューコントローラー
class TabViewController: UITabBarController {

    var view1Controller : View1Controller?
    var view2Controller : View2Controller?
    var view3Controller : View3Controller?
    
    // 画面表示時の処理
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view.
        
        self.title = "Tab Sample"
        
        view1Controller = View1Controller()
        view1Controller!.tabBarItem.title = "view1"
        view1Controller!.tabBarItem.tag = 1
        
        view2Controller = View2Controller()
        view2Controller!.tabBarItem.title = "view2"
        view2Controller!.tabBarItem.tag = 2
        
        // 画像を指定
        view2Controller!.tabBarItem.image = UIImage(named: "note.png")
        // バッジを指定
        view2Controller!.tabBarItem.badgeValue = "10"
        
        view3Controller = View3Controller(nibName : nil, bundle : nil)
        view3Controller!.tabBarItem.title = "view3"
        view3Controller!.tabBarItem.tag = 3
        
        // ビューコントローラーの配列
        let vcList : [UIViewController] = [ view1Controller!, view2Controller!, view3Controller!]
        
        self.setViewControllers(vcList, animated: false)
        
        // プロパティを使う場合
        //self.viewControllers = vcList
    }

    override var prefersStatusBarHidden: Bool {
        return true
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    override func tabBar(_ tabBar: UITabBar, didSelect item: UITabBarItem) {
        switch item.tag {
        case 1:
            self.title = "view1"
        case 2:
            self.title = "view2"
        case 3:
            self.title = "view3"
        default:
            break
        }
    }
}
