//
//  TableHeightViewController.swift
//  ViewControllers
//

import UIKit

class TableHeightViewController: UITableViewController {

    let kCellIdentifier = "CellIdentifier"
    
    let items: [String] =
        [
            "1行のセルです",
            "　中国企業が世界でリチウム資源の買収を急いでいる。世界最大の自動車市場を抱える中国政府がガソリン車から電気自動車（ＥＶ）への転換をめざす方針を打ち出したため、中核部品である電池の原料の確保を狙う。",
            "セルの高さを自動で計算して設定しています\n改行コードも認識します",
            "\n\n\n\n\n上に改行や空白があってもきちんと表示します。",
            "1行に戻します"
            ]

    
    override func viewDidLoad() {
        super.viewDidLoad()
        // テーブルの高さを自動で調節
        self.tableView.rowHeight = UITableViewAutomaticDimension
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    // MARK: - Table view data source

    override func numberOfSections(in tableView: UITableView) -> Int {
        // #warning Incomplete implementation, return the number of sections
        return 1
    }

    override func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        // #warning Incomplete implementation, return the number of rows
        return items.count
    }

    override func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        var cell = tableView.dequeueReusableCell(withIdentifier: kCellIdentifier)
        if cell == nil {
            cell = UITableViewCell(style: UITableViewCellStyle.default,
                                   reuseIdentifier: kCellIdentifier)
        }
        // セルのタイトルに○番目に該当するデータを指定
        cell?.textLabel?.text = items[indexPath.row]
        // ラベルの表示行数を無制限にしておく
        cell?.textLabel?.numberOfLines = 0
        return cell!
    }

    /*
    // Override to support conditional editing of the table view.
    override func tableView(_ tableView: UITableView, canEditRowAt indexPath: IndexPath) -> Bool {
        // Return false if you do not want the specified item to be editable.
        return true
    }
    */

    /*
    // Override to support editing the table view.
    override func tableView(_ tableView: UITableView, commit editingStyle: UITableViewCellEditingStyle, forRowAt indexPath: IndexPath) {
        if editingStyle == .delete {
            // Delete the row from the data source
            tableView.deleteRows(at: [indexPath], with: .fade)
        } else if editingStyle == .insert {
            // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
        }    
    }
    */

    /*
    // Override to support rearranging the table view.
    override func tableView(_ tableView: UITableView, moveRowAt fromIndexPath: IndexPath, to: IndexPath) {

    }
    */

    /*
    // Override to support conditional rearranging of the table view.
    override func tableView(_ tableView: UITableView, canMoveRowAt indexPath: IndexPath) -> Bool {
        // Return false if you do not want the item to be re-orderable.
        return true
    }
    */

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
