//
//  TableStyleViewController.swift
//  VC
//
//

import Foundation
import UIKit

class TableStyleViewController: UITableViewController
{
    
    let kCellIdentifier = "CellIdentifier"
    
    var _menuList: Array<Dictionary<String, String>> = Array<Dictionary<String, String>>()
    var items: Array<String> = Array<String>()
    
    required init(coder aDecoder: NSCoder) {
        //fatalError("init(coder:) has not been implemented")
        super.init(coder: aDecoder)!
    }
    
    override init(style : UITableViewStyle)
    {
        super.init(style: style)
    }
    
    override init(nibName nibNameOrNil: String?, bundle nibBundleOrNil: Bundle?)
    {
        super.init(nibName: nibNameOrNil, bundle: nibBundleOrNil)
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        self.tableView = UITableView(frame: self.view.frame, style: .grouped)
        
         // テーブルに表示するデータ
        items = ["Item1","Item2","Item3"]
    }
    
    override func tableView(_ tableView: UITableView,
        heightForRowAt indexPath: IndexPath) -> CGFloat {
            return 50.0
    }
    
    override func numberOfSections(in tableView: UITableView) -> Int {
        return 1
    }
    
    override func tableView(_ tableView: UITableView,
        numberOfRowsInSection section: Int) -> Int {
            return items.count
    }
    
    // テーブルのセルのデータを指定
    override func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        //let cell = tableView.dequeueReusableCell(withIdentifier: "reuseIdentifier", for: indexPath)
        
        // Configure the cell...
        // セルを生成
        var cell = tableView.dequeueReusableCell(withIdentifier: kCellIdentifier)
        if cell == nil {
            cell = UITableViewCell(style: UITableViewCellStyle.default,
                                   reuseIdentifier: kCellIdentifier)
        }
        // セルのタイトルに○番目に該当するデータを指定
        cell?.textLabel?.text = items[indexPath.row]
        
        return cell!
    }
    
    // テーブルのセル選択時の処理
    override func tableView(_ tableView: UITableView,
                            didSelectRowAt indexPath: IndexPath){
        // データを取得して次画面へ
        let storyboard = UIStoryboard(name: "Main", bundle: nil)
        let vc = storyboard.instantiateViewController(withIdentifier: "LabelViewController") as! LabelViewController
        vc.text = items[indexPath.row]
        self.navigationController?.pushViewController(vc, animated: true)
    }
    
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
}
