//
//  TableViewController.swift
//  VC
//
//

import UIKit

class TableViewController: UITableViewController
{

    let kCellIdentifier = "CellIdentifier"
    var sections = [String]()
    var menuList = [[String]]()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // セクションの見出し
        sections = ["section1", "section2"]
        // セルに表示するデータ
        menuList.append((1...2).map{ $0 }.flatMap({"item1_\($0)"}))
        menuList.append((1...3).map{ $0 }.flatMap({"item1_\($0)"}))
    }
    
    override func tableView(_ tableView: UITableView,
                            heightForRowAt indexPath: IndexPath) -> CGFloat {
        return 50.0
    }
    
    // セクションの数
    override func numberOfSections(in tableView: UITableView) -> Int
    {
        return sections.count
    }
    
    // セクション内のセルの数
    override func tableView(_ tableView: UITableView,
                                numberOfRowsInSection section: Int) -> Int {
            return menuList[section].count
    }
    
    // セクションのタイトルを指定
    override func tableView(_ tableView: UITableView,
                            titleForHeaderInSection section: Int) -> String?
    {
        return sections[section]
    }
    
    override func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
            
            var cell = tableView.dequeueReusableCell(withIdentifier: kCellIdentifier)
            if cell == nil {
                cell = UITableViewCell(style: UITableViewCellStyle.default,
                    reuseIdentifier: kCellIdentifier)
            }
            let cellTitle = menuList[indexPath.section][indexPath.row]
            cell!.textLabel?.text = cellTitle
            return cell!
    }
    
    // テーブルのセル選択時の処理
    override func tableView(_ tableView: UITableView,
                            didSelectRowAt indexPath: IndexPath){
        // データを取得して次の画面へ
        let storyboard = UIStoryboard(name: "Main", bundle: nil)
        let vc = storyboard.instantiateViewController(withIdentifier: "LabelViewController") as! LabelViewController
        vc.text = menuList[indexPath.section][indexPath.row]
        self.navigationController?.pushViewController(vc, animated: true)
    }
    
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
}
